Defeaturing: Difference between revisions

From FreeCAD Documentation
(First commit to Defeaturing, goal: add python code snippet to show defeaturing example without using the defeaturing workbench)
 
No edit summary
Line 18: Line 18:
Defeaturing can also be used with python
Defeaturing can also be used with python
{{Code|code=
{{Code|code=
box = Part.makeBox(10,10,10)
WIP
box2 = Part.makeBox(5,5,5,FreeCAD.Vector(5,5,0))
box3 = box.cut(box2)
faces = App.ActiveDocument.ActiveObject.Shape.Faces[6:] #the faces of box3 that are part of the corner pocket
box4 = App.ActiveDocument.ActiveObject.Shape.defeaturing(faces) #defeature the shape
Part.show(box4) #show defeatured shape
}}
}}



Revision as of 11:33, 9 September 2019

Other languages:


Introduction

3D Model Defeaturing got added with Open CASCADE 7.3 [1] and can be used for editing STEP models by removing of the features from the model.

It is also possible to direct modeling the model, when the history of operations is unavailable. (This is the case for 3d STEP models). Defeaturing can also useful to remove proprietary details of the model before sharing it.

The easiest way to use defeaturing is by using the Defeaturng Workbench

Code snippet

Defeaturing can also be used with python

box = Part.makeBox(10,10,10)
box2 = Part.makeBox(5,5,5,FreeCAD.Vector(5,5,0))
box3 = box.cut(box2)
faces = App.ActiveDocument.ActiveObject.Shape.Faces[6:] #the faces of box3 that are part of the corner pocket
box4 = App.ActiveDocument.ActiveObject.Shape.defeaturing(faces) #defeature the shape
Part.show(box4) #show defeatured shape